--- cyrus-sasl.SlackBuild	2006-05-27 16:23:40.000000000 -0400
+++ cyrus-sasl.SlackBuild.s390x	2007-01-17 16:14:25.000000000 -0500
@@ -11,7 +11,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -26,12 +26,16 @@
 rm -rf cyrus-sasl-$VERSION
 tar xjvf $CWD/cyrus-sasl-$VERSION.tar.bz2
 cd cyrus-sasl-$VERSION
+if [ "$ARCH" = "s390x" ]; then
+  cat $CWD/plugins.makefile.in.diff | patch -p1 --backup --suffix=.orig || exit 1
+fi
 chown -R root:root .
 find . -perm 777 -exec chmod 755 {} \;
 find . -perm 664 -exec chmod 644 {} \;
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir=/usr/lib64 \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --disable-static \
